import { EventEmitter } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { NzMessageService } from 'ng-zorro-antd';
import { TranslateService } from '@ngx-translate/core';
import { IdentityResourceVO } from '../../vo/identity-resource.vo';
export declare class IdentityApiResourceUpdateComponent {
    private nzMessageService;
    private translateService;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    apiResource: IdentityResourceVO;
    ok: EventEmitter<void>;
    apiResourceUpdating: boolean;
    apiResourceFetching: boolean;
    identityApiResourceUpdateSecretComponentProp: {
        visible: boolean;
    };
    identityApiResourceUpdateScopeComponentProp: {
        visible: boolean;
    };
    formGroup: FormGroup;
    readonly userClaimsControl: FormControl;
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    private fetchApiResource;
    openIdentityApiResourceUpdateSecretComponent(): void;
    openIdentityApiResourceUpdateScopeComponent(): void;
    handleOk(): void;
    handleCancel(): void;
    handleAfterOpen(): void;
    handleAfterClose(): void;
}
